﻿@model PagedList.IPagedList<JobHunt.BU.DTO.RecruitDTO>
@using PagedList.Mvc;
@using JobHunt.BU.DTO
@{
    ViewBag.Title = "Danh sách công ty";
}
<section class="overlape">
    <div class="block no-padding">
        <div data-velocity="-.1" style="background: url(/Assets/client/images/resource/mslider1.jpg) 50% -66.4px repeat scroll transparent;" class="parallax scrolly-invisible no-parallax"></div><!-- PARALLAX BACKGROUND IMAGE -->
        <div class="container fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="inner-header">
                        <h3>CÔNG TY</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="block less-top">
        <div class="container">
            <div class="row">
                <aside class="col-lg-3 column margin_widget">
                    <div class="widget">
                        <div class="search_widget_job">
                            <div class="field_w_search">
                                <input type="text" placeholder="Search Keywords">
                                <i class="la la-search"></i>
                            </div><!-- Search Widget -->
                            <div class="field_w_search">
                                <input type="text" placeholder="All Locations">
                                <i class="la la-map-marker"></i>
                            </div><!-- Search Widget -->
                        </div>
                    </div>
                </aside>
                <div class="col-lg-9 column">
                    <div class="filterbar">
                        <p>Total of 145 Employer</p>
                    </div>
                    <div class="alpha-pag">
                        <a href="#" title="" class="active">ALL</a><a title="">A</a><a title="">B</a><a href="#" title="">C</a><a href="#" title="">D</a><a href="#" title="">E</a><a href="#" title="">F</a><a href="#" title="">G</a><a href="#" title="">H</a><a href="#" title="">I</a><a href="#" title="">J</a><a href="#" title="">K</a><a href="#" title="">L</a><a href="#" title="">M</a><a href="#" title="">N</a><a href="#" title="">O</a><a href="#" title="">P</a><a href="#" title="">Q</a><a href="#" title="">R</a><a href="#" title="">S</a><a href="#" title="">T</a><a href="#" title="">U</a><a href="#" title="">V</a><a href="#" title="">W</a><a href="#" title="">X</a><a href="#" title="">Y</a><a href="#" title="">Z</a>
                    </div>
                    <div class="emply-list-sec style2">
                        @if (Model.Count > 0)
                        {
                            foreach (var rc in Model)
                            {
                                <div class="emply-list">
                                    <div class="emply-list-thumb">
                                        <a href="@Url.Action("DetailRecruit", "Recruit", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(rc.RICompanyName, rc.RecruitId) })" title="@rc.RIFullName"><img src="@rc.RILogo" alt="" class="logo-company"></a>
                                    </div>
                                    <div class="emply-list-info">
                                        <div class="emply-pstn">@rc.NumberJobs công việc</div>
                                        <h3><a href="@Url.Action("DetailRecruit", "Recruit", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(rc.RICompanyName, rc.RecruitId) })" title="">@rc.RIFullName</a></h3>
                                        @*@if (rc.CityDTO != null)
                                        {
                                            <h6><i class="la la-map-marker"></i> @rc.CityDTO.CName</h6>
                                        }*@
                                        <span class="mt-2">Tổng số lượng tuyển: @rc.NumberEmployees</span>
                                        @*<p class="titlejob" title="@rc.RIAbout">@rc.RIAbout</p>*@
                                    </div>
                                </div><!-- Employe List -->
                            }
                        }

                        <div class="pagination">
                            @Html.PagedListPager(Model, page => Url.Action("ListRecruits", new { page, keyWord = ViewBag.keyWord, chooseDate = ViewBag.chooseDate, chooseWorkType = ViewBag.chooseWorkType }))
                            @*<ul>
                                    <li class="prev"><a href=""><i class="la la-long-arrow-left"></i> Prev</a></li>
                                    <li><a href="">1</a></li>
                                    <li class="active"><a href="">2</a></li>
                                    <li><a href="">3</a></li>
                                    <li><span class="delimeter">...</span></li>
                                    <li><a href="">14</a></li>
                                    <li class="next"><a href="">Next <i class="la la-long-arrow-right"></i></a></li>
                                </ul>*@
                        </div><!-- Pagination -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

